Subject: bug#35133: 26.1; 1) `:tag' for `restricted-sexp' (not in a choice, set, etc.), 2) Remove `Value Menu' if a no-op

From: Mauro Aranda <[email-masked]>
Date: Fri, 11 Dec 2020 11:05:48 -0300

Drew Adams <[email-masked]> writes:

> Thanks for looking into this Mauro.
>
> I'd suggest handling this in two stages:
>
> 1. Take care of what is clearly, or pretty clearly,
>    straightforward.
> 2. Think about how to handle other cases.
> ____
>
> But in general, for defcustom I think I'm in favor of
> allowing the realization of a :tag, regardless of
> whether using it might be problematic sometimes.

I agree with you.  It's just that since it's an intentional behavior (or
at least looks like that), I wanted to make sure we don't miss any
potentially annoying side effects.

> But I guess you're asking about default tags?  What
> happens if there's no default :tag for some widget
> (such as `repeat') but when you use the widget you
> provide a :tag?  Would that be possible?  IOW, maybe
> a :tag for `repeat' isn't useful by default, but
> maybe adding a :tag when you use some `repeat' could
> be useful.

Indeed, I was worried about the default tags.  But then I realized that
we already show the "Repeat" tag, when the repeat is part of a choice
type, so it looks like my worries are void.  Same goes for the choice
widget inside any other grouping widget.

> (For the problematic cases, maybe the tag text should be
> shown without the trailing colon?  Maybe it depends on
> where the tag is placed and how long the string is.)

I think it's better to keep the colon.

> Anyway, for now at least, #1 would be great.  Thx.

AFAICS, we should be able to do #1 without trouble, by removing the
:format value-format line, and accounting for the space after the tag
when creating the item.